//: ## Namensgebung
//: Beim Programmieren können Namen sehr beschreibend und nützlich sein und dir helfen, festzuhalten, was was ist – genau wie die Namen, die du den Dingen im wirklichen Leben gibst. Wenn du in Code einem Wert einen Namen gibst, kannst du diesen Namen überall verwenden, wo du den Wert verwenden würdest. Das macht den Code leichter lesbar und verständlich.
//:
//: Namen helfen auch, Fehler in deinem Code zu vermeiden. Es war z. B. leicht, im Experiment der Haustierschau Fehler zu machen, weil du bei jeder Aktualisierung eine Zahl in mehreren Codezeilen ändern musstest. Wenn du jedoch einen Namen für jeden Wert (z. B. die Anzahl der Schildkröten) definiert hättest, müsstest du nur einmal die Definition des Namens ändern und die aktualisierte Definition würde überall dort verwendet, wo der Name in deinem Code angezeigt wird.
//:
//: Du kannst in Swift einen Namen auswählen und mit einem Wert verknüpfen, indem du eine _Konstante_ definierst. Du wirst Konstanten später im Kurs noch genauer kennenlernen. Jetzt reicht es zu wissen, dass Konstanten eine grundlegende Art sind, Werte in Swift zu benennen.
//:
//: Verwende das Wort `let` gefolgt von einem Namen, um eine Konstante zu definieren, und das Gleichheitszeichen `=`, um der Konstante einen Wert zu geben:
let numberOfDogs = 6

let numberOfCats = 5

let numberOfTurtles = 2

let numberOfHamsters = 1

//: Nachdem du eine Konstante definiert und ihr einen Wert zugewiesen hast, kannst du die Konstante überall dort verwenden, wo immer du den Wert verwendet hättest – auch in mathematischen Berechnungen, die den Wert einer neuen Konstante definieren:

let totalNumberOfAnimals = numberOfDogs + numberOfCats + numberOfTurtles + numberOfHamsters

let totalNumberOfMammals = numberOfDogs + numberOfCats + numberOfHamsters

//: Jetzt wird es viel einfacher, die Anzahl einer bestimmten Tierart zu aktualisieren – und das Fehlerrisiko wird deutlich geringer. Du musst nur den Wert aktualisieren, in dem die Konstante definiert ist.
//:
//: Du kannst sogar den Playground durch Addieren oder Subtrahieren auf der rechten Seite des Gleichheitszeichens für dich rechnen lassen. Wenn z. B. zwei weitere Leute einen Hund mitbringen, kannst du, anstatt die 6 auf eine 8 zu ändern, Folgendes eingeben:
//:
//: `let numberOfDogs = 6 + 2`
//: - experiment:(Experiment): \
//:Im Laufe der Woche bekommst du mehr Informationen über die Haustiere der Leute.\
//:Aktualisiere den Code oben mit den folgenden Änderungen:
//: - Zwei weitere Leute bringen einen Hund mit.
//: - Die kranke Schildkröte fühlt sich viel besser und kommt doch zur Haustierschau.
//: - Eine der Katzen schafft es doch nicht.
//: - Eine weitere Person bringt einen Hamster mit.
//:
//: Fahre fort, wenn du deine Experimente abgeschlossen hast.
//:
//:[Zurück](@previous)  |  Seite 4 von 14  |  [Weiter mit: Namen eingeben und die automatische Vervollständigung](@next)
